diff --git a/src/station_gui.cpp b/src/station_gui.cpp
--- a/src/station_gui.cpp
+++ b/src/station_gui.cpp
@@ -1199,6 +1656,111 @@
 			case SVW_PLANES:   // Show list of scheduled aircraft to this station
 				ShowVehicleListWindow(this->owner, (VehicleType)(widget - SVW_TRAINS), (StationID)this->window_number);
 				break;
+
+			case SVW_DEPARTURES:
+				ShowStationDepartures((StationID)this->window_number);
+				break;
+
+			case SVW_SORT_BY: {
+				ShowDropDownMenu(this, _sort_names, this->current_mode, SVW_SORT_BY, 0, 0);
+				break;
+			}
+
+			case SVW_GROUP_BY: {
+				ShowDropDownMenu(this, _group_names, this->grouping_index, SVW_GROUP_BY, 0, 0);
+				break;
+			}
+
+			case SVW_SORT_ORDER: { // flip sorting method asc/desc
+				this->SelectSortOrder(this->sort_orders[1] == SO_ASCENDING ? SO_DESCENDING : SO_ASCENDING);
+				this->flags4 |= WF_TIMEOUT_BEGIN;
+				this->LowerWidget(SVW_SORT_ORDER);
+				break;
+			}
+		}
+	}
+
+	void SelectSortOrder(SortOrder order)
+	{
+		this->sort_orders[1] = this->sort_orders[2] = this->sort_orders[3] = order;
+		_settings_client.gui.station_gui_sort_order = this->sort_orders[1];
+		this->SetDirty();
+	}
+
+	void SelectSortBy(int index)
+	{
+		_settings_client.gui.station_gui_sort_by = index;
+		switch(_sort_names[index]) {
+		case STR_STATION_VIEW_WAITING_STATION:
+			this->current_mode = MODE_WAITING;
+			this->sortings[1] = this->sortings[2] = this->sortings[3] = ST_AS_GROUPING;
+			break;
+		case STR_STATION_VIEW_WAITING_AMOUNT:
+			this->current_mode = MODE_WAITING;
+			this->sortings[1] = this->sortings[2] = this->sortings[3] = ST_COUNT;
+			break;
+		case STR_STATION_VIEW_PLANNED_STATION:
+			this->current_mode = MODE_PLANNED;
+			this->sortings[1] = this->sortings[2] = this->sortings[3] = ST_AS_GROUPING;
+			break;
+		case STR_STATION_VIEW_PLANNED_AMOUNT:
+			this->current_mode = MODE_PLANNED;
+			this->sortings[1] = this->sortings[2] = this->sortings[3] = ST_COUNT;
+			break;
+		default:
+			NOT_REACHED();
+		}
+		/* Display the current sort variant */
+		this->GetWidget<NWidgetCore>(SVW_SORT_BY)->widget_data = _sort_names[index];
+		this->SetDirty();
+	}
+
+	void SelectGroupBy(int index)
+	{
+		this->grouping_index = index;
+		_settings_client.gui.station_gui_group_order = index;
+		this->GetWidget<NWidgetCore>(SVW_GROUP_BY)->widget_data = _group_names[index];
+		switch(_group_names[index]) {
+		case STR_STATION_VIEW_GROUP_S_V_D:
+			this->groupings[1] = GR_SOURCE;
+			this->groupings[2] = GR_NEXT;
+			this->groupings[3] = GR_DESTINATION;
+			break;
+		case STR_STATION_VIEW_GROUP_S_D_V:
+			this->groupings[1] = GR_SOURCE;
+			this->groupings[2] = GR_DESTINATION;
+			this->groupings[3] = GR_NEXT;
+			break;
+		case STR_STATION_VIEW_GROUP_V_S_D:
+			this->groupings[1] = GR_NEXT;
+			this->groupings[2] = GR_SOURCE;
+			this->groupings[3] = GR_DESTINATION;
+			break;
+		case STR_STATION_VIEW_GROUP_V_D_S:
+			this->groupings[1] = GR_NEXT;
+			this->groupings[2] = GR_DESTINATION;
+			this->groupings[3] = GR_SOURCE;
+			break;
+		case STR_STATION_VIEW_GROUP_D_S_V:
+			this->groupings[1] = GR_DESTINATION;
+			this->groupings[2] = GR_SOURCE;
+			this->groupings[3] = GR_NEXT;
+			break;
+		case STR_STATION_VIEW_GROUP_D_V_S:
+			this->groupings[1] = GR_DESTINATION;
+			this->groupings[2] = GR_NEXT;
+			this->groupings[3] = GR_SOURCE;
+			break;
+		}
+		this->SetDirty();
+	}
+
+	virtual void OnDropdownSelect(int widget, int index)
+	{
+		if (widget == SVW_SORT_BY) {
+			this->SelectSortBy(index);
+		} else {
+			this->SelectGroupBy(index);
 		}
 	}
 
@@ -1215,9 +1777,26 @@
 	}
 };
 
+const StringID StationViewWindow::_sort_names[] = {
+	STR_STATION_VIEW_WAITING_STATION,
+	STR_STATION_VIEW_WAITING_AMOUNT,
+	STR_STATION_VIEW_PLANNED_STATION,
+	STR_STATION_VIEW_PLANNED_AMOUNT,
+	INVALID_STRING_ID
+};
+
+const StringID StationViewWindow::_group_names[] = {
+	STR_STATION_VIEW_GROUP_S_V_D,
+	STR_STATION_VIEW_GROUP_S_D_V,
+	STR_STATION_VIEW_GROUP_V_S_D,
+	STR_STATION_VIEW_GROUP_V_D_S,
+	STR_STATION_VIEW_GROUP_D_S_V,
+	STR_STATION_VIEW_GROUP_D_V_S,
+	INVALID_STRING_ID
+};
 
 static const WindowDesc _station_view_desc(
-	WDP_AUTO, 249, 110,
+	WDP_AUTO, 249, 117,
 	WC_STATION_VIEW, WC_NONE,
 	WDF_UNCLICK_BUTTONS,
 	_nested_station_view_widgets, lengthof(_nested_station_view_widgets)
diff --git a/src/station_gui.h b/src/station_gui.h
--- a/src/station_gui.h
+++ b/src/station_gui.h
@@ -13,24 +13,32 @@
 #define STATION_GUI_H
 
 #include "command_type.h"
+#include "station_type.h"
 #include "tilearea_type.h"
 #include "window_type.h"
+#include "cargo_type.h"
+#include <set>
 
 /** Enum for StationView, referring to _station_view_widgets and _station_view_expanded_widgets */
 enum StationViewWidgets {
 	SVW_CAPTION    =  0, ///< Caption of the window
-	SVW_WAITING    =  1, ///< List of waiting cargo
-	SVW_SCROLLBAR  =  2, ///< Scrollbar
-	SVW_ACCEPTLIST =  3, ///< List of accepted cargos
-	SVW_RATINGLIST =  3, ///< Ratings of cargos
-	SVW_LOCATION   =  4, ///< 'Location' button
-	SVW_RATINGS    =  5, ///< 'Ratings' button
-	SVW_ACCEPTS    =  5, ///< 'Accepts' button
-	SVW_RENAME     =  6, ///< 'Rename' button
-	SVW_TRAINS     =  7, ///< List of scheduled trains button
+	SVW_SORT_ORDER =  1, ///< 'Sort order' button
+	SVW_SORT_BY    =  2, ///< 'Sort by' button
+	SVW_GROUP      =  3, ///< label for "group by"
+	SVW_GROUP_BY   =  4, ///< 'Group by' button
+	SVW_WAITING    =  5, ///< List of waiting cargo
+	SVW_SCROLLBAR  =  6, ///< Scrollbar
+	SVW_ACCEPTLIST =  7, ///< List of accepted cargos
+	SVW_RATINGLIST =  7, ///< Ratings of cargos
+	SVW_LOCATION   =  8, ///< 'Location' button
+	SVW_RATINGS    =  9, ///< 'Ratings' button
+	SVW_ACCEPTS    =  9, ///< 'Accepts' button
+	SVW_RENAME     = 10, ///< 'Rename' button
+	SVW_TRAINS     = 11, ///< List of scheduled trains button
 	SVW_ROADVEHS,        ///< List of scheduled road vehs button
 	SVW_SHIPS,           ///< List of scheduled ships button
 	SVW_PLANES,          ///< List of scheduled planes button
+	SVW_DEPARTURES,      ///< 'Departures' button
 };
 
 /** Types of cargo to display for station coverage. */
@@ -46,4 +54,152 @@
 void ShowSelectStationIfNeeded(CommandContainer cmd, TileArea ta);
 void ShowSelectWaypointIfNeeded(CommandContainer cmd, TileArea ta);
 
+enum SortOrder {
+	SO_DESCENDING,
+	SO_ASCENDING
+};
+
+class CargoDataEntry;
+
+enum CargoSortType {
+	ST_AS_GROUPING,    ///< by the same principle the entries are being grouped
+	ST_COUNT,          ///< by amount of cargo
+	ST_STATION_STRING, ///< by station name
+	ST_STATION_ID,     ///< by station id
+	ST_CARGO_ID,       ///< by cargo id
+};
+
+class CargoSorter {
+public:
+	CargoSorter(CargoSortType t = ST_STATION_ID, SortOrder o = SO_ASCENDING) : type(t), order(o) {}
+	CargoSortType GetSortType() {return this->type;}
+	bool operator()(const CargoDataEntry *cd1, const CargoDataEntry *cd2) const;
+
+private:
+	CargoSortType type;
+	SortOrder order;
+
+	template<class ID>
+	bool SortId(ID st1, ID st2) const;
+	bool SortCount(const CargoDataEntry *cd1, const CargoDataEntry *cd2) const;
+	bool SortStation (StationID st1, StationID st2) const;
+};
+
+typedef std::set<CargoDataEntry *, CargoSorter> CargoDataSet;
+
+/**
+ * A cargo data entry representing one possible row in the station view window's
+ * top part. Cargo data entries form a tree where each entry can have several
+ * children. Parents keep track of the sums of their childrens' cargo counts.
+ */
+class CargoDataEntry {
+public:
+	CargoDataEntry();
+	~CargoDataEntry();
+
+	/**
+	 * Insert a new child or retrieve an existing child using a station ID as ID.
+	 * @param station ID of the station for which an entry shall be created or retrieved
+	 * @return a child entry associated with the given station.
+	 */
+	CargoDataEntry *InsertOrRetrieve(StationID station) {return this->InsertOrRetrieve<StationID>(station);}
+
+	/**
+	 * Insert a new child or retrieve an existing child using a cargo ID as ID.
+	 * @param cargo ID of the cargo for which an entry shall be created or retrieved
+	 * @return a child entry associated with the given cargo.
+	 */
+	CargoDataEntry *InsertOrRetrieve(CargoID cargo) {return this->InsertOrRetrieve<CargoID>(cargo);}
+
+	void Update(uint count);
+
+	/**
+	 * Remove a child associated with the given station.
+	 * @param station ID of the station for which the child should be removed.
+	 */
+	void Remove(StationID station) {CargoDataEntry t(station); this->Remove(&t);}
+
+	/**
+	 * Remove a child associated with the given cargo.
+	 * @param cargo ID of the cargo for which the child should be removed.
+	 */
+	void Remove(CargoID cargo) {CargoDataEntry t(cargo); this->Remove(&t);}
+
+	/**
+	 * Retrieve a child for the given station. Return NULL if it doesn't exist.
+	 * @param station ID of the station the child we're looking for is associated with.
+	 * @return a child entry for the given station or NULL.
+	 */
+	CargoDataEntry *Retrieve(StationID station) const {CargoDataEntry t(station); return this->Retrieve(this->children->find(&t));}
+
+	/**
+	 * Retrieve a child for the given cargo. Return NULL if it doesn't exist.
+	 * @param cargo ID of the cargo the child we're looking for is associated with.
+	 * @return a child entry for the given cargo or NULL.
+	 */
+	CargoDataEntry *Retrieve(CargoID cargo) const {CargoDataEntry t(cargo);return this->Retrieve(this->children->find(&t));}
+
+	void Resort(CargoSortType type, SortOrder order);
+
+	/**
+	 * Get the station ID for this entry.
+	 */
+	StationID GetStation() const {return this->station;}
+
+	/**
+	 * Get the cargo ID for this entry.
+	 */
+	CargoID GetCargo() const {return this->cargo;}
+
+	/**
+	 * Get the cargo count for this entry.
+	 */
+	uint GetCount() const {return this->count;}
+
+	/**
+	 * Get the parent entry for this entry.
+	 */
+	CargoDataEntry *GetParent() const {return this->parent;}
+
+	/**
+	 * Get the number of children for this entry.
+	 */
+	uint GetNumChildren() const {return this->num_children;}
+
+	/**
+	 * Get an iterator pointing to the begin of the set of children.
+	 */
+	CargoDataSet::iterator Begin() const {return this->children->begin();}
+
+	/**
+	 * Get an iterator pointing to the end of the set of children.
+	 */
+	CargoDataSet::iterator End() const {return this->children->end();}
+
+	void Clear();
+private:
+
+	CargoDataEntry(StationID st, uint c, CargoDataEntry *p);
+	CargoDataEntry(CargoID car, uint c, CargoDataEntry *p);
+	CargoDataEntry(StationID st);
+	CargoDataEntry(CargoID car);
+
+	CargoDataEntry *Retrieve(CargoDataSet::iterator i) const;
+
+	template<class ID>
+	CargoDataEntry *InsertOrRetrieve(ID s);
+
+	void Remove(CargoDataEntry *comp);
+	void IncrementSize();
+
+	CargoDataEntry *parent;   ///< the parent of this entry
+	const union {
+		StationID station;    ///< ID of the station this entry is associated with
+		CargoID cargo;        ///< ID of the cargo this entry is associated with
+	};
+	uint num_children;        ///< the number of subentries belonging to this entry
+	uint count;               ///< sum of counts of all children or amount of cargo for this entry
+	CargoDataSet *children;   ///< the children of this entry
+};
+
 #endif /* STATION_GUI_H */
diff --git a/src/station_type.h b/src/station_type.h
--- a/src/station_type.h
+++ b/src/station_type.h
@@ -15,6 +15,8 @@
 #include "core/smallvec_type.hpp"
 #include "tilearea_type.h"
 
+#include <list>
+
 typedef uint16 StationID;
 typedef uint16 RoadStopID;
 
@@ -87,6 +89,9 @@
 
 static const uint MAX_LENGTH_STATION_NAME_CHARS = 32; ///< The maximum length of a station name in characters including '\0'
 
+/** List of station IDs */
+typedef std::list<StationID> StationIDList;
+
 /** List of stations */
 typedef SmallVector<Station *, 2> StationList;
 
diff --git a/src/statusbar_gui.cpp b/src/statusbar_gui.cpp
--- a/src/statusbar_gui.cpp
+++ b/src/statusbar_gui.cpp
@@ -134,9 +134,9 @@
 	{
 		switch (widget) {
 			case SBW_LEFT:
-				/* Draw the date */
-				SetDParam(0, _date);
-				DrawString(r.left + WD_FRAMERECT_LEFT, r.right - WD_FRAMERECT_RIGHT, r.top + WD_FRAMERECT_TOP, STR_WHITE_DATE_LONG, TC_FROMSTRING, SA_HOR_CENTER);
+				/* Draw the date */ //TODO: prevent overflowing the displayed date with high daylength factors.
+				SetDParam(0, ((DateTicks)_date * DAY_TICKS) + _date_fract);
+				DrawString(r.left + WD_FRAMERECT_LEFT, r.right - WD_FRAMERECT_RIGHT, r.top + WD_FRAMERECT_TOP, STR_WHITE_DATE_WALLCLOCK_LONG, TC_FROMSTRING, SA_HOR_CENTER);
 				break;
 
 			case SBW_RIGHT: {
@@ -217,6 +217,10 @@
 	{
 		if (_pause_mode != PM_UNPAUSED) return;
 
+		if (_settings_client.gui.time_in_minutes) {
+			this->SetWidgetDirty(SBW_LEFT);
+		}
+
 		if (this->ticker_scroll < TICKER_STOP) { // Scrolling text
 			this->ticker_scroll += COUNTER_STEP;
 			this->SetWidgetDirty(SBW_MIDDLE);
@@ -233,7 +237,7 @@
 
 static const NWidgetPart _nested_main_status_widgets[] = {
 	NWidget(NWID_HORIZONTAL),
-		NWidget(WWT_PANEL, COLOUR_GREY, SBW_LEFT), SetMinimalSize(140, 12), EndContainer(),
+		NWidget(WWT_PANEL, COLOUR_GREY, SBW_LEFT), SetMinimalSize(160, 12), EndContainer(),
 		NWidget(WWT_PUSHBTN, COLOUR_GREY, SBW_MIDDLE), SetMinimalSize(40, 12), SetDataTip(0x0, STR_STATUSBAR_TOOLTIP_SHOW_LAST_NEWS), SetResize(1, 0),
 		NWidget(WWT_PUSHBTN, COLOUR_GREY, SBW_RIGHT), SetMinimalSize(140, 12),
 	EndContainer(),
diff --git a/src/stdafx.h b/src/stdafx.h
--- a/src/stdafx.h
+++ b/src/stdafx.h
@@ -244,7 +244,7 @@
 
 /* NOTE: the string returned by these functions is only valid until the next
  * call to the same function and is not thread- or reentrancy-safe */
-#if !defined(STRGEN) && !defined(SETTINGSGEN)
+#if !defined(STRGEN)
 	#if defined(WIN32) || defined(WIN64)
 		char *getcwd(char *buf, size_t size);
 		#include <tchar.h>
@@ -268,7 +268,7 @@
 		#define SQ2OTTD(name) (name)
 		#define OTTD2SQ(name) (name)
 	#endif /* WIN32 */
-#endif /* STRGEN || SETTINGSGEN */
+#endif /* STRGEN */
 
 #if defined(WIN32) || defined(WIN64) || defined(__OS2__) && !defined(__INNOTEK_LIBC__)
 	#define PATHSEP "\\"
diff --git a/src/string.cpp b/src/string.cpp
--- a/src/string.cpp
+++ b/src/string.cpp
@@ -151,11 +151,11 @@
 	*dst = '\0';
 
 	if (dst == last && *src != '\0') {
-#if defined(STRGEN) || defined(SETTINGSGEN)
+#if defined(STRGEN)
 		error("String too long for destination buffer");
-#else /* STRGEN || SETTINGSGEN */
+#else /* STRGEN */
 		DEBUG(misc, 0, "String too long for destination buffer");
-#endif /* STRGEN || SETTINGSGEN */
+#endif /* STRGEN */
 	}
 	return dst;
 }
diff --git a/src/strings.cpp b/src/strings.cpp
--- a/src/strings.cpp
+++ b/src/strings.cpp
@@ -912,11 +912,27 @@
 				break;
 			}
 
+			case SCC_DATE_WALLCLOCK_TINY: // {DATE_WALLCLOCK_TINY}
+				if (_settings_client.gui.time_in_minutes) {
+					buff = FormatWallClockString(buff, args->GetInt64(SCC_DATE_WALLCLOCK_TINY), last, false);
+				} else {
+					buff = FormatTinyOrISODate(buff, args->GetInt64(SCC_DATE_WALLCLOCK_TINY) / DAY_TICKS, STR_FORMAT_DATE_TINY, last);
+				}
+				break;
+
 			case SCC_DATE_TINY: { // {DATE_TINY}
 				buff = FormatTinyOrISODate(buff, args->GetInt32(SCC_DATE_TINY), STR_FORMAT_DATE_TINY, last);
 				break;
 			}
 
+			case SCC_DATE_WALLCLOCK_ISO: // {DATE_WALLCLOCK_ISO}
+				if (_settings_client.gui.time_in_minutes) {
+					buff = FormatWallClockString(buff, args->GetInt64(SCC_DATE_WALLCLOCK_ISO), last, false);
+				} else {
+					buff = FormatTinyOrISODate(buff, args->GetInt64(SCC_DATE_WALLCLOCK_ISO) / DAY_TICKS, STR_FORMAT_DATE_ISO, last);
+				}
+				break;
+
 			case SCC_DATE_ISO: { // {DATE_ISO}
 				buff = FormatTinyOrISODate(buff, args->GetInt32(), STR_FORMAT_DATE_ISO, last);
 				break;
diff --git a/src/strings_func.h b/src/strings_func.h
--- a/src/strings_func.h
+++ b/src/strings_func.h
@@ -78,7 +78,7 @@
 	 */
 	int64 GetInt64(WChar type = 0)
 	{
-		assert(this->offset < this->num_param);
+		assert(this->offset < this->num_param); // TODO: outcommenting or fix Improved Breakdowns in info tab.
 		if (this->type != NULL) {
 			assert(this->type[this->offset] == 0 || this->type[this->offset] == type);
 			this->type[this->offset] = type;
diff --git a/src/table/company_settings.ini b/src/table/company_settings.ini
--- a/src/table/company_settings.ini
+++ b/src/table/company_settings.ini
@@ -6,113 +6,4 @@
 ; See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 ;
 
-[pre-amble]
-static bool CheckInterval(int32 p1);
-static bool InvalidateDetailsWindow(int32 p1);
-
-static const SettingDesc _company_settings[] = {
-[post-amble]
-};
-[templates]
-SDT_BOOL = SDT_BOOL($base, $var,        $flags, $guiflags, $def,                        $str, $strval, $proc, $from, $to),
-SDT_VAR  =  SDT_VAR($base, $var, $type, $flags, $guiflags, $def, $min, $max, $interval, $str, $strval, $proc, $from, $to),
-SDT_END  = SDT_END()
-
-[defaults]
-flags    = 0
-guiflags = SGF_PER_COMPANY
-interval = 0
-str      = STR_NULL
-strval   = STR_NULL
-proc     = NULL
-load     = NULL
-from     = 0
-to       = SL_MAX_VERSION
-
-
-
-[SDT_BOOL]
-base     = CompanySettings
-var      = engine_renew
-def      = false
-str      = STR_CONFIG_SETTING_AUTORENEW_VEHICLE
-
-[SDT_VAR]
-base     = CompanySettings
-var      = engine_renew_months
-type     = SLE_INT16
-def      = 6
-min      = -12
-max      = 12
-str      = STR_CONFIG_SETTING_AUTORENEW_MONTHS
-
-[SDT_VAR]
-base     = CompanySettings
-var      = engine_renew_money
-type     = SLE_UINT
-guiflags = SGF_PER_COMPANY | SGF_CURRENCY
-def      = 100000
-min      = 0
-max      = 2000000
-str      = STR_CONFIG_SETTING_AUTORENEW_MONEY
-
-[SDT_BOOL]
-base     = CompanySettings
-var      = renew_keep_length
-def      = false
-
-[SDT_BOOL]
-base     = CompanySettings
-var      = vehicle.servint_ispercent
-def      = false
-str      = STR_CONFIG_SETTING_SERVINT_ISPERCENT
-proc     = CheckInterval
-
-[SDT_VAR]
-base     = CompanySettings
-var      = vehicle.servint_trains
-type     = SLE_UINT16
-guiflags = SGF_PER_COMPANY | SGF_0ISDISABLED
-def      = 150
-min      = 5
-max      = 800
-str      = STR_CONFIG_SETTING_SERVINT_TRAINS
-proc     = InvalidateDetailsWindow
-
-[SDT_VAR]
-base     = CompanySettings
-var      = vehicle.servint_roadveh
-type     = SLE_UINT16
-guiflags = SGF_PER_COMPANY | SGF_0ISDISABLED
-def      = 150
-min      = 5
-max      = 800
-str      = STR_CONFIG_SETTING_SERVINT_ROAD_VEHICLES
-proc     = InvalidateDetailsWindow
-
-[SDT_VAR]
-base     = CompanySettings
-var      = vehicle.servint_ships
-type     = SLE_UINT16
-guiflags = SGF_PER_COMPANY | SGF_0ISDISABLED
-def      = 360
-min      = 5
-max      = 800
-str      = STR_CONFIG_SETTING_SERVINT_SHIPS
-proc     = InvalidateDetailsWindow
-
-[SDT_VAR]
-base     = CompanySettings
-var      = vehicle.servint_aircraft
-type     = SLE_UINT16
-guiflags = SGF_PER_COMPANY | SGF_0ISDISABLED
-def      = 100
-min      = 5
-max      = 800
-str      = STR_CONFIG_SETTING_SERVINT_AIRCRAFT
-proc     = InvalidateDetailsWindow
-
-[SDT_END]
-
-
-};
+; thanks but no thanks for now.
diff --git a/src/table/control_codes.h b/src/table/control_codes.h
--- a/src/table/control_codes.h
+++ b/src/table/control_codes.h
@@ -63,6 +63,10 @@
 	SCC_DATE_SHORT,
 	SCC_DATE_LONG,
 	SCC_DATE_ISO,
+	SCC_DATE_WALLCLOCK_TINY,
+	SCC_DATE_WALLCLOCK_SHORT,
+	SCC_DATE_WALLCLOCK_LONG,
+	SCC_DATE_WALLCLOCK_ISO,
 
 	SCC_STRING1,
 	SCC_STRING2,
diff --git a/src/table/currency_settings.ini b/src/table/currency_settings.ini
--- a/src/table/currency_settings.ini
+++ b/src/table/currency_settings.ini
@@ -6,61 +6,4 @@
 ; See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 ;
 
-[pre-amble]
-static const SettingDesc _currency_settings[] = {
-[post-amble]
-};
-[templates]
-SDT_VAR = SDT_VAR($base, $var, $type, $flags, $guiflags, $def, $min, $max, $interval, $str, $strval, $proc, $from, $to),
-SDT_CHR = SDT_CHR($base, $var,        $flags, $guiflags, $def,                        $str, $strval, $proc, $from, $to),
-SDT_STR = SDT_STR($base, $var, $type, $flags, $guiflags, $def,                        $str, $strval, $proc, $from, $to),
-SDT_END = SDT_END()
-
-[defaults]
-flags    = SLF_NOT_IN_SAVE | SLF_NO_NETWORK_SYNC
-guiflags = 0
-interval = 0
-str      = STR_NULL
-strval   = STR_NULL
-proc     = NULL
-load     = NULL
-from     = 0
-to       = SL_MAX_VERSION
-
-
-
-[SDT_VAR]
-base     = CurrencySpec
-var      = rate
-type     = SLE_UINT16
-def      = 1
-min      = 0
-max      = UINT16_MAX
-
-[SDT_CHR]
-base     = CurrencySpec
-var      = separator
-def      = "".""
-
-[SDT_VAR]
-base     = CurrencySpec
-var      = to_euro
-type     = SLE_INT32
-def      = 0
-min      = MIN_YEAR
-max      = MAX_YEAR
-
-[SDT_STR]
-base     = CurrencySpec
-var      = prefix
-type     = SLE_STRBQ
-def      = NULL
-
-[SDT_STR]
-base     = CurrencySpec
-var      = suffix
-type     = SLE_STRBQ
-def      = "" credits""
-
-[SDT_END]
-
+; thanks but no thanks for now.
diff --git a/src/table/settings.h.preamble b/src/table/settings.h.preamble
--- a/src/table/settings.h.preamble
+++ b/src/table/settings.h.preamble
@@ -9,118 +9,5 @@
 
 /** @file table/settings.h Settings to save in the savegame and config file. */
 
-/* Callback function used in _settings[] as well as _company_settings[] */
-static size_t ConvertLandscape(const char *value);
+// thanks but no thanks for now.
 
-
-/****************************
- * OTTD specific INI stuff
- ****************************/
-
-/**
- * Settings-macro usage:
- * The list might look daunting at first, but is in general easy to understand.
- * We have two types of list:
- * 1. SDTG_something
- * 2. SDT_something
- * The 'G' stands for global, so this is the one you will use for a
- * SettingDescGlobVarList section meaning global variables. The other uses a
- * Base/Offset and runtime variable selection mechanism, known from the saveload
- * convention (it also has global so it should not be hard).
- * Now there are a lot of types. Easy ones are:
- * - VAR:  any number type, 'type' field specifies what number. eg int8 or uint32
- * - BOOL: a boolean number type
- * - STR:  a string or character. 'type' field specifies what string. Normal, string, or quoted
- * A bit more difficult to use are MMANY (meaning ManyOfMany) and OMANY (OneOfMany)
- * These are actually normal numbers, only bitmasked. In MMANY several bits can
- * be set, in the other only one.
- * If nothing fits you, you can use the GENERAL macros, but it exposes the
- * internal structure somewhat so it needs a little looking. There are _NULL()
- * macros as well, these fill up space so you can add more settings there (in
- * place) and you DON'T have to increase the savegame version.
- *
- * While reading values from openttd.cfg, some values may not be converted
- * properly, for any kind of reasons.  In order to allow a process of self-cleaning
- * mechanism, a callback procedure is made available.  You will have to supply the function, which
- * will work on a string, one function per setting. And of course, enable the callback param
- * on the appropriate macro.
- */
-
-#define NSD_GENERAL(name, def, cmd, guiflags, min, max, interval, many, str, strval, proc, load)\
-	{name, (const void*)(size_t)(def), {(byte)cmd}, {(uint16)guiflags}, min, max, interval, many, str, strval, proc, load}
-
-/* Macros for various objects to go in the configuration file.
- * This section is for global variables */
-#define SDTG_GENERAL(name, sdt_cmd, sle_cmd, type, flags, guiflags, var, length, def, min, max, interval, full, str, strval, proc, from, to)\
-	{NSD_GENERAL(name, def, sdt_cmd, guiflags, min, max, interval, full, str, strval, proc, NULL), SLEG_GENERAL(sle_cmd, var, type | flags, length, from, to)}
-
-#define SDTG_VAR(name, type, flags, guiflags, var, def, min, max, interval, str, strval, proc, from, to)\
-	SDTG_GENERAL(name, SDT_NUMX, SL_VAR, type, flags, guiflags, var, 0, def, min, max, interval, NULL, str, strval, proc, from, to)
-
-#define SDTG_BOOL(name, flags, guiflags, var, def, str, strval, proc, from, to)\
-	SDTG_GENERAL(name, SDT_BOOLX, SL_VAR, SLE_BOOL, flags, guiflags, var, 0, def, 0, 1, 0, NULL, str, strval, proc, from, to)
-
-#define SDTG_LIST(name, type, length, flags, guiflags, var, def, str, strval, proc, from, to)\
-	SDTG_GENERAL(name, SDT_INTLIST, SL_ARR, type, flags, guiflags, var, length, def, 0, 0, 0, NULL, str, strval, proc, from, to)
-
-#define SDTG_STR(name, type, flags, guiflags, var, def, str, strval, proc, from, to)\
-	SDTG_GENERAL(name, SDT_STRING, SL_STR, type, flags, guiflags, var, lengthof(var), def, 0, 0, 0, NULL, str, strval, proc, from, to)
-
-#define SDTG_OMANY(name, type, flags, guiflags, var, def, max, full, str, strval, proc, from, to)\
-	SDTG_GENERAL(name, SDT_ONEOFMANY, SL_VAR, type, flags, guiflags, var, 0, def, 0, max, 0, full, str, strval, proc, from, to)
-
-#define SDTG_MMANY(name, type, flags, guiflags, var, def, full, str, strval, proc, from, to)\
-	SDTG_GENERAL(name, SDT_MANYOFMANY, SL_VAR, type, flags, guiflags, var, 0, def, 0, 0, 0, full, str, strval, proc, from, to)
-
-#define SDTG_NULL(length, from, to)\
-	{{"", NULL, {0}, {0}, 0, 0, 0, NULL, STR_NULL, STR_NULL, NULL, NULL}, SLEG_NULL(length, from, to)}
-
-#define SDTG_END() {{NULL, NULL, {0}, {0}, 0, 0, 0, NULL, STR_NULL, STR_NULL, NULL, NULL}, SLEG_END()}
-
-/* Macros for various objects to go in the configuration file.
- * This section is for structures where their various members are saved */
-#define SDT_GENERAL(name, sdt_cmd, sle_cmd, type, flags, guiflags, base, var, length, def, min, max, interval, full, str, strval, proc, load, from, to)\
-	{NSD_GENERAL(name, def, sdt_cmd, guiflags, min, max, interval, full, str, strval, proc, load), SLE_GENERAL(sle_cmd, base, var, type | flags, length, from, to)}
-
-#define SDT_VAR(base, var, type, flags, guiflags, def, min, max, interval, str, strval, proc, from, to)\
-	SDT_GENERAL(#var, SDT_NUMX, SL_VAR, type, flags, guiflags, base, var, 1, def, min, max, interval, NULL, str, strval, proc, NULL, from, to)
-
-#define SDT_BOOL(base, var, flags, guiflags, def, str, strval, proc, from, to)\
-	SDT_GENERAL(#var, SDT_BOOLX, SL_VAR, SLE_BOOL, flags, guiflags, base, var, 1, def, 0, 1, 0, NULL, str, strval, proc, NULL, from, to)
-
-#define SDT_LIST(base, var, type, flags, guiflags, def, str, strval, proc, from, to)\
-	SDT_GENERAL(#var, SDT_INTLIST, SL_ARR, type, flags, guiflags, base, var, lengthof(((base*)8)->var), def, 0, 0, 0, NULL, str, strval, proc, NULL, from, to)
-
-#define SDT_STR(base, var, type, flags, guiflags, def, str, strval, proc, from, to)\
-	SDT_GENERAL(#var, SDT_STRING, SL_STR, type, flags, guiflags, base, var, lengthof(((base*)8)->var), def, 0, 0, 0, NULL, str, strval, proc, NULL, from, to)
-
-#define SDT_CHR(base, var, flags, guiflags, def, str, strval, proc, from, to)\
-	SDT_GENERAL(#var, SDT_STRING, SL_VAR, SLE_CHAR, flags, guiflags, base, var, 1, def, 0, 0, 0, NULL, str, strval, proc, NULL, from, to)
-
-#define SDT_OMANY(base, var, type, flags, guiflags, def, max, full, str, strval, proc, from, to, load)\
-	SDT_GENERAL(#var, SDT_ONEOFMANY, SL_VAR, type, flags, guiflags, base, var, 1, def, 0, max, 0, full, str, strval, proc, load, from, to)
-
-#define SDT_MMANY(base, var, type, flags, guiflags, def, full, str, proc, strval, from, to)\
-	SDT_GENERAL(#var, SDT_MANYOFMANY, SL_VAR, type, flags, guiflags, base, var, 1, def, 0, 0, 0, full, str, strval, proc, NULL, from, to)
-
-#define SDT_NULL(length, from, to)\
-	{{"", NULL, {0}, {0}, 0, 0, 0, NULL, STR_NULL, STR_NULL, NULL, NULL}, SLE_CONDNULL(length, from, to)}
-
-
-#define SDTC_VAR(var, type, flags, guiflags, def, min, max, interval, str, strval, proc, from, to)\
-	SDTG_GENERAL(#var, SDT_NUMX, SL_VAR, type, flags, guiflags, _settings_client.var, 1, def, min, max, interval, NULL, str, strval, proc, from, to)
-
-#define SDTC_BOOL(var, flags, guiflags, def, str, strval, proc, from, to)\
-	SDTG_GENERAL(#var, SDT_BOOLX, SL_VAR, SLE_BOOL, flags, guiflags, _settings_client.var, 1, def, 0, 1, 0, NULL, str, strval, proc, from, to)
-
-#define SDTC_LIST(var, type, flags, guiflags, def, str, strval, proc, from, to)\
-	SDTG_GENERAL(#var, SDT_INTLIST, SL_ARR, type, flags, guiflags, _settings_client.var, lengthof(_settings_client.var), def, 0, 0, 0, NULL, str, strval, proc, from, to)
-
-#define SDTC_STR(var, type, flags, guiflags, def, str, strval, proc, from, to)\
-	SDTG_GENERAL(#var, SDT_STRING, SL_STR, type, flags, guiflags, _settings_client.var, lengthof(_settings_client.var), def, 0, 0, 0, NULL, str, strval, proc, from, to)
-
-#define SDTC_OMANY(var, type, flags, guiflags, def, max, full, str, strval, proc, from, to)\
-	SDTG_GENERAL(#var, SDT_ONEOFMANY, SL_VAR, type, flags, guiflags, _settings_client.var, 1, def, 0, max, 0, full, str, strval, proc, from, to)
-
-#define SDT_END() {{NULL, NULL, {0}, {0}, 0, 0, 0, NULL, STR_NULL, STR_NULL, NULL, NULL}, SLE_END()}
-
